# Uses of Class
java.nio.charset.CharsetEncoder

Packages that use CharsetEncoder
Package
Description
java.io
Provides for system input and output through data streams, serialization and the file system.
java.nio.channels
Defines channels, which represent connections to entities that are capable of performing I/O operations, such as files and sockets; defines selectors, for multiplexed, non-blocking I/O operations.
java.nio.charset
Defines charsets, decoders, and encoders, for translating between bytes and Unicode characters.

## Uses of CharsetEncoder in java.io

Constructors in java.io with parameters of type CharsetEncoder
Modifier
Constructor
Description
``
`OutputStreamWriter​(OutputStream out, CharsetEncoder enc)`
Creates an OutputStreamWriter that uses the given charset encoder.

## Uses of CharsetEncoder in java.nio.channels

Methods in java.nio.channels with parameters of type CharsetEncoder
Modifier and Type
Method
Description
`static Writer`
Channels.`newWriter​(WritableByteChannel ch, CharsetEncoder enc, int minBufferCap)`
Constructs a writer that encodes characters using the given encoder and writes the resulting bytes to the given channel.

## Uses of CharsetEncoder in java.nio.charset

Methods in java.nio.charset that return CharsetEncoder
Modifier and Type
Method
Description
`abstract CharsetEncoder`
Charset.`newEncoder()`
Constructs a new encoder for this charset.
`CharsetEncoder`
CharsetEncoder.`onMalformedInput​(CodingErrorAction newAction)`
Changes this encoder's action for malformed-input errors.
`CharsetEncoder`
CharsetEncoder.`onUnmappableCharacter​(CodingErrorAction newAction)`
Changes this encoder's action for unmappable-character errors.
`CharsetEncoder`
CharsetEncoder.`replaceWith​(byte[] newReplacement)`
Changes this encoder's replacement value.
`CharsetEncoder`
CharsetEncoder.`reset()`
Resets this encoder, clearing any internal state.